---
updatedAt: 2025-06-04T20:05:28.000Z
agentTools:
  projectIndex: https://developers.plugg.to/llms.txt
---

# Create or Update a Sku Simple or With Variation

Method for creating products

## Request body example

```json
{
    "sku": "sku123",
    "name": "Nome do produto",
    "quantity": 50,
    "special_price": 89.00,
    "price": 90.00,
    "description": "Descrição completa",
    "short_description": "Descrição curta",
    "brand": "Marca do produto",
    "model": "Modelo",
    "handling_time": 1,
    "manufacture_time": 1,
    "warranty_message": "3 meses de garantia de fábrica",
    "warranty_time": 1,
    "ean": "8056597602471",
    "isbn": "97807333426094",
    "link": "https://linkexterno.com.br/produto/na/loja",
    "cest": "28.059.00",
    "nbm": "9999.71.01",
    "ncm": "3305.90.00",
    "cost": 52.25,
    "location": "Localização do produto - CD 123",
    "external": "Codigo_do_produto_pai_no_outro_sistema",
    "real_dimension": {
        "height": 10,
        "length": 5,
        "weight": 0.8,
        "width": 10
    },
    "dimension": {
        "weight": 1,
        "height": 16,
        "length": 11,
        "width": 12
    },
    "stock_table": [
        {
            "code": "Promoção março",
            "type": "own",
            "price": 90,
            "special_price": 89,
            "priority": 0, 
            "handling_time": 1,
            "quantity": 50
        }
    ],
    "price_table": [
        {
            "code": "amazon",
            "label": "Preço para a Amazon",
            "action": "increase",
            "percentage": 10
        },
        {
            "code": "b2w",
            "label": "Preço para a b2w",
            "action": "overwrite",
            "maximum_price": 95,
            "minimum_price": 79,
            "price": 90,
            "special_price": 89.95
        },
        {
            "code": "magalu",
            "label": "Preço para a Magalu",
            "action": "decrease",
            "percentage": 5
        }
    ],
    "categories": [
        {
            "name": "categoria base > subcatgoria"
        },
        {
            "name": "categoria base > subcatgoria > tipo"
        },
        {
            "name": "categoria base > outrasubcategoria > outrotipo"
        },
        {
            "name": "Esportes e Fitness > Fitness e Musculação > Funcional, Pilates e Yoga > Cordas"
        }
    ],
    "photos": [
        {
            "url": "https://s3-sa-east-1.amazonaws.com/pluggto/5496/5496_bfb0c7b4-4308-4220-931f-920091d07a09.png",
            "order": 0,
            "external": "http://www.site.com.br/enderecoimagem.jpg",
            "name": "imagem 1 do produto",
            "title": "imagem 1 do produto"
        },
        {
            "url": "https://s3-sa-east-1.amazonaws.com/pluggto/5496/5496_74802d0c-764b-46f0-b978-485264535886.png",
            "order": 1,
            "external": "http://www.site.com.br/enderecoimagem.jpg",
            "name": "imagem 2 do produto",
            "title": "imagem 2 do produto"
        }
    ],
    "attributes": [
        {
            "code": "gender",
            "label": "gender",
            "value": {
                "code": "masculino",
                "label": "masculino"
            }
        },
        {
            "code": "materialexterno",
            "label": "materialexterno",
            "value": {
                "code": "Algodão",
                "label": "Algodão"
            }
        },
        {
            "code": "ano-de-lancamento",
            "label": "ano-de-lancamento",
            "value": {
                "code": "2020",
                "label": "2020"
            }
        }
    ],
    "variations": [
        {
            "name": "Nome da variação 1",
            "sku": "var123",
            "price": 100,
            "special_price": 90,
            "cost": 52.25,
            "quantity": 10,
            "ean": "7891114164350",
            "location": "CD 123",
            "external": "Codigo_da_variacao_no_outro_sistema",
            "photos": [
                {
                    "url": "https://s3-sa-east-1.amazonaws.com/pluggto/5496/5496_94328c2a-ceda-42df-af71-8f5025de482a.png",
                    "order": 0,
                    "external": "http://www.site.com.br/enderecoimagem.jpg",
                    "name": "imagem 1 do produto",
                    "title": "imagem 1 do produto"
                }
            ],
            "attributes": [
                {
                    "code": "Cor",
                    "label": "Cor",
                    "value": {
                        "code": "Azul",
                        "label": "Azul"
                    }
                },
                {
                    "code": "Tamanho",
                    "label": "Tamanho",
                    "value": {
                        "code": "P",
                        "label": "P"
                    }
                }
            ],
            "price_table": [
                {
                    "code": "amazon",
                    "label": "Preço para a Amazon",
                    "action": "increase",
                    "percentage": 10
                },
                {
                    "code": "b2w",
                    "label": "Preço para a b2w",
                    "action": "overwrite",
                    "maximum_price": 95,
                    "minimum_price": 79,
                    "price": 90,
                    "special_price": 89.95
                },
                {
                    "code": "magalu",
                    "label": "Preço para a Magalu",
                    "action": "decrease",
                    "percentage": 5
                }
            ],
            "stock_table": [
                {
                    "code": "Promoção março",
                    "type": "own",
                    "price": 90,
                    "special_price": 89,
                    "priority": 0, 
                    "handling_time": 1,
                    "quantity": 50
                }
            ]
        },
        {
            "name": "Nome da variação Azul P",
            "sku": "azul-P",
            "price": 100,
            "special_price": 90,
            "cost": 52.25,
            "quantity": 5,
            "ean": "7891114164350",
            "location": "CD 123",
            "external": "Codigo_da_variacao_no_outro_sistema",
            "photos": [
                {
                    "url": "https://s3-sa-east-1.amazonaws.com/pluggto/5496/5496_16826e4f-b2f4-4241-9398-58b82f6e334f.png",
                    "order": 0,
                    "external": "http://www.site.com.br/enderecoimagem.jpg",
                    "name": "imagem 1 do produto",
                    "title": "imagem 1 do produto"
                }
            ],
            "attributes": [
                {
                    "code": "Cor",
                    "label": "Cor",
                    "value": {
                        "code": "Azul",
                        "label": "Azul"
                    }
                },
                {
                    "code": "Tamanho",
                    "label": "Tamanho",
                    "value": {
                        "code": "P",
                        "label": "P"
                    }
                }
            ],
            "price_table": [
                {
                    "code": "amazon",
                    "label": "Preço para a Amazon",
                    "action": "increase",
                    "percentage": 10
                },
                {
                    "code": "b2w",
                    "label": "Preço para a b2w",
                    "action": "overwrite",
                    "maximum_price": 95,
                    "minimum_price": 79,
                    "price": 90,
                    "special_price": 89.95
                },
                {
                    "code": "magalu",
                    "label": "Preço para a Magalu",
                    "action": "decrease",
                    "percentage": 5
                }
            ],
            "stock_table": [
                {
                    "code": "Promoção março",
                    "type": "own",
                    "price": 90,
                    "special_price": 89,
                    "priority": 0, 
                    "handling_time": 1,
                    "quantity": 50
                }
            ]
        },
        {
            "name": "Nome da variação Azul M",
            "sku": "azul-M",
            "price": 100,
            "special_price": 90,
            "cost": 52.25,
            "quantity": 0,
            "ean": "7891114164351",
            "location": "CD 123",
            "external": "Codigo_da_variacao_no_outro_sistema",
            "photos": [
                {
                    "url": "https://s3-sa-east-1.amazonaws.com/pluggto/5496/5496_acfcb1b4-8c6f-4c1b-88c9-31370bca4658.png",
                    "order": 0,
                    "external": "http://www.site.com.br/enderecoimagem.jpg",
                    "name": "imagem 1 do produto",
                    "title": "imagem 1 do produto"
                }
            ],
            "attributes": [
                {
                    "code": "Cor",
                    "label": "Cor",
                    "value": {
                        "code": "Azul",
                        "label": "Azul"
                    }
                },
                {
                    "code": "Tamanho",
                    "label": "Tamanho",
                    "value": {
                        "code": "M",
                        "label": "M"
                    }
                }
            ],
            "price_table": [
                {
                    "code": "amazon",
                    "label": "Preço para a Amazon",
                    "action": "increase",
                    "percentage": 10
                },
                {
                    "code": "b2w",
                    "label": "Preço para a b2w",
                    "action": "overwrite",
                    "maximum_price": 95,
                    "minimum_price": 79,
                    "price": 90,
                    "special_price": 89.95
                },
                {
                    "code": "magalu",
                    "label": "Preço para a Magalu",
                    "action": "decrease",
                    "percentage": 5
                }
            ],
            "stock_table": [
                {
                    "code": "Promoção março",
                    "type": "own",
                    "price": 90,
                    "special_price": 89,
                    "priority": 0, 
                    "handling_time": 1,
                    "quantity": 50
                }
            ]
        },
        {
            "name": "Nome da variação Amarelo P",
            "sku": "amarelo-P",
            "price": 100,
            "special_price": 99,
            "quantity": 0,
            "cost": 52.25,
            "ean": "7891114164352",
            "location": "CD 123",
            "external": "Codigo_da_variacao_no_outro_sistema",
            "photos": [
                {
                    "url": "https://s3-sa-east-1.amazonaws.com/pluggto/5496/5496_935049e5-7745-4358-8a21-9209412c7ccf.png",
                    "order": 0,
                    "external": "http://www.site.com.br/enderecoimagem.jpg",
                    "name": "imagem 1 do produto",
                    "title": "imagem 1 do produto"
                }
            ],
            "attributes": [
                {
                    "code": "Cor",
                    "label": "Cor",
                    "value": {
                        "code": "Amarelo",
                        "label": "Amarelo"
                    }
                },
                {
                    "code": "Tamanho",
                    "label": "Tamanho",
                    "value": {
                        "code": "P",
                        "label": "P"
                    }
                }
            ],
            "price_table": [
                {
                    "code": "amazon",
                    "label": "Preço para a Amazon",
                    "action": "increase",
                    "percentage": 10
                },
                {
                    "code": "b2w",
                    "label": "Preço para a b2w",
                    "action": "overwrite",
                    "maximum_price": 95,
                    "minimum_price": 79,
                    "price": 90,
                    "special_price": 89.95
                },
                {
                    "code": "magalu",
                    "label": "Preço para a Magalu",
                    "action": "decrease",
                    "percentage": 5
                }
            ],
            "stock_table": [
                {
                    "code": "Promoção março",
                    "type": "own",
                    "price": 90,
                    "special_price": 89,
                    "priority": 0, 
                    "handling_time": 1,
                    "quantity": 50
                }
            ]
        }
    ]
}
```

<br />

<br />

## Request object has the following properties:

| Attribute       | Type    | Description                                                                                             |
| :-------------- | :------ | :------------------------------------------------------------------------------------------------------ |
| price           | integer | Full price. The price must have up to two decimal places.                                               |
| special\_price  | integer | Discounted price. The price must have up to two decimal places.                                         |
| price\_table    | array   | Price table. If the product has variations, the price table should be registered within the variations. |
| stock\_table    | array   | Stock table. If the product has variations, the stock table should be registered within the variations. |
| dimension       | array   | Dimensions with packaging.                                                                              |
| real\_dimension | array   | Dimensions without packaging.                                                                           |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-pluggto",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.plugg.to"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/skus/{sku_id}": {
      "put": {
        "summary": "Create or Update a Sku Simple or With Variation",
        "description": "Method for creating products",
        "operationId": "create-or-update-a-sku-simple-or-with-variation",
        "parameters": [
          {
            "name": "sku_id",
            "in": "path",
            "description": "Original SKU",
            "schema": {
              "type": "string",
              "default": "sku"
            },
            "required": true
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Bearer Token",
            "schema": {
              "type": "string",
              "default": "Bearer {ACESS_TOKEN}"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "Accept",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "sku",
                  "name"
                ],
                "properties": {
                  "sku": {
                    "type": "string",
                    "description": "Product code. Special characters allowed: \"_\", \"-\", \"+\""
                  },
                  "name": {
                    "type": "string",
                    "description": "Product name."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```